{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/logo_delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/logo_delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_basic_settings_layout') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Logo entfernen</span>
        {{ form_widget(logoDeleteForm.delete, {'label': 'ENTFERNEN', 'id': logoDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button delete-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-3 mb-4">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Das Logo wird entfernt und steht dann nicht mehr zur Verfügung.
            </h1>
            <p>
                Um das Logo endgültig zu entfernen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">logo_{{ account.getId() }}</span>
            </p>
            {{ form_start(logoDeleteForm, {'attr': {'id': logoDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/basic_settings/logo_delete_form.html.twig' with {'form': logoDeleteForm} only %}
            {{ form_row(logoDeleteForm._token) }}
            {{ form_end(logoDeleteForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
